<?php require_once('Connections/cn.php'); ?><?php
 session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
  
  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$cn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="carreras.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="5" && $tipo_usuario!="10" && $tipo_usuario!="21") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="carreras.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
        return;
  }  
    
  if ( @$_POST["sql"]=="insert"){
      $filterfield="id_carrera";
	  $filter=@$_POST["id_carrera"];
	  }	
	  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carreras</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Programas </h2></td></tr></table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  $showrecs = 10;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
	case "retorno":
	  limpiar($recid, $id_alumno_volver,$campo,$valor_campo);  
      editrec($recid, $valor_campo, $campo);  
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php
 function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>Número de Programas <?php echo $startrec + 1 ?> - <?php echo $reccount ?> of <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="carreras.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>
<option value="<?php echo "id_carrera" ?>"<?php if ($filterfield == "id_carrera") { echo "selected"; } ?>><?php echo htmlspecialchars("Código") ?></option>
<option value="<?php echo "codigo_opsu" ?>"<?php if ($filterfield == "codigo_opsu") { echo "selected"; } ?>><?php echo htmlspecialchars("Código OPSU") ?></option>
<option value="<?php echo "nombre_carrera" ?>"<?php if ($filterfield == "nombre_carrera") { echo "selected"; } ?>><?php echo htmlspecialchars("Nombre de Carrera") ?></option>
<option value="<?php echo "grado_academico" ?>"<?php if ($filterfield == "grado_academico") { echo "selected"; } ?>><?php echo htmlspecialchars("Título") ?></option>
<option value="<?php echo "creditos_grado" ?>"<?php if ($filterfield == "creditos_grado") { echo "selected"; } ?>><?php echo htmlspecialchars("Créditos Grado") ?></option>
<option value="<?php echo "regimen" ?>"<?php if ($filterfield == "regimen") { echo "selected"; } ?>><?php echo htmlspecialchars("R�gimen") ?></option>
<option value="<?php echo "uc_equivalente" ?>"<?php if ($filterfield == "uc_equivalente") { echo "selected"; } ?>><?php echo htmlspecialchars("Unidad Crédito o Equivalente") ?></option>
<option value="<?php echo "duracion" ?>"<?php if ($filterfield == "duracion") { echo "selected"; } ?>><?php echo htmlspecialchars("Duración") ?></option>
<option value="<?php echo "turno" ?>"<?php if ($filterfield == "turno") { echo "selected"; } ?>><?php echo htmlspecialchars("Turno") ?></option>
<option value="<?php echo "escala_calif" ?>"<?php if ($filterfield == "escala_calif") { echo "selected"; } ?>><?php echo htmlspecialchars("Escala Calificación") ?></option>
<option value="<?php echo "salida_intermedia" ?>"<?php if ($filterfield == "salida_intermedia") { echo "selected"; } ?>><?php echo htmlspecialchars("Salida Intermedia") ?></option>
<option value="<?php echo "requerimiento" ?>"<?php if ($filterfield == "requerimiento") { echo "selected"; } ?>><?php echo htmlspecialchars("Requerimientos") ?></option>
<option value="<?php echo "gaceta" ?>"<?php if ($filterfield == "gaceta") { echo "selected"; } ?>><?php echo htmlspecialchars("Gaceta de Aprobación") ?></option>
<option value="<?php echo "arancel" ?>"<?php if ($filterfield == "arancel") { echo "selected"; } ?>><?php echo htmlspecialchars("Aranceles") ?></option>
<option value="<?php echo "status" ?>"<?php if ($filterfield == "status") { echo "selected"; } ?>><?php echo htmlspecialchars("Status") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="carreras.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr"><a class="hr" href="carreras.php?order=<?php echo "id_carrera" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Código ENAHP") ?></a></td>
<td class="hr"><a class="hr" href="carreras.php?order=<?php echo "codigo_opsu" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Código OPSU") ?></a></td>
<td class="hr"><a class="hr" href="carreras.php?order=<?php echo "nombre_carrera" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Denominación del Programa") ?></a></td>
<td class="hr"><a class="hr" href="carreras.php?order=<?php echo "status" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Status") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="carreras.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0"></a></td>
<td class="<?php echo $style ?>" align="center"><a href="carreras.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0"></a></td>
<td class="<?php echo $style ?>" align="center"><a href="carreras.php?a=del&recid=<?php echo $i ?>"><img src="imagenes/delete.png" border="0"></a></td>
<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["id_carrera"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["codigo_opsu"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombre_carrera"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["status"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount); ?>
<?php } ?>

<?php function showrow($row, $recid)
  {
global $conn;
  //$conn=connect();

  	mysql_select_db($database_conn, $conn);
	mysql_query ("SET NAMES 'utf8'");
	
	$cod_escala=$row['escala_calif'];
	$query_rstEscala1 = "SELECT codigo, escala FROM escalas WHERE codigo='$cod_escala'";
	$rstEscala1 = mysql_query($query_rstEscala1, $conn) or die(mysql_error());
	$row_rstEscala1 = mysql_fetch_assoc($rstEscala1);
	$totalRows_rstEscala1 = mysql_num_rows($rstEscala1);
	
	$cod_valoracion=$row['uc_equivalente'];
	$query_rstValoracion1 = "SELECT codigo, valoracion FROM valoracion WHERE codigo='$cod_valoracion'";
	$rstValoracion1 = mysql_query($query_rstValoracion1, $conn) or die(mysql_error());
	$row_rstValoracion1 = mysql_fetch_assoc($rstValoracion1);
	$totalRows_rstValoracion1 = mysql_num_rows($rstValoracion1);


	$cod_turno=$row['turno'];
	$query_rstTurno1 = "SELECT turnos.codigo, turnos.turno FROM turnos where codigo='$cod_turno'";
	$rstTurno1 = mysql_query($query_rstTurno1, $conn) or die(mysql_error());
	$row_rstTurno1 = mysql_fetch_assoc($rstTurno1);
	$totalRows_rstTurno1 = mysql_num_rows($rstTurno1);
	
    $cod_requerimiento=$row['requerimiento'];
	$query_rstReq1 = "SELECT codigo, requerimientos FROM requerimientos where codigo='$cod_requerimiento'";
	$rstReq1 = mysql_query($query_rstReq1, $conn) or die(mysql_error());
	$row_rstReq1 = mysql_fetch_assoc($rstReq1);
	$totalRows_rstReq1 = mysql_num_rows($rstReq1);
    
	$cod_modalidad=$row['modalidad'];
	if($cod_modalidad=="1"){
	    $modalidad="PRESENCIAL";
		}
	elseif($cod_modalidad=="2"){
	    $modalidad="SEMI-PRESENCIAL O MIXTO";
		}
	else{
	    $modalidad="A DISTANCIA";
	}
	
	$cod_intermedia=$row['salida_intermedia'];
	if($cod_intermedia=="1"){
	    $intermedia="SI";
		}
	elseif($cod_intermedia=="2"){
	    $intermedia="NO";
		}
	else{
	    $intermedia="NO APLICA";
	}
	
	$cod_regimen=$row['regimen'];
	if($cod_regimen=="1"){
	    $regimen="ANUAL";
		}
	elseif($cod_regimen=="2"){
	    $regimen="TRIMESTRAL";
		}
	elseif($cod_regimen=="3"){
	    $regimen="TRIMESTRAL";
		}	
	else{
	    $modalidad="A DISTANCIA";
	}
	   	  
    $tipo=$row['tipo'];
	if($tipo=="00"){
	   $tipo_programa="LICENCIATURA";
	}
	if($tipo=="01"){
	   $tipo_programa="ESPECIALIZACIÓN";
	}
	if($tipo=="02"){
	   $tipo_programa="MAESTRÍA";
	}
	if($tipo=="03"){
	   $tipo_programa="DOCTORADO";
	}   
	if($tipo=="99"){
	   $tipo_programa="CURSO";
	}   
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="90%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código ENAHP")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_carrera"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Código OPSU")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["codigo_opsu"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Denominación del Programa")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombre_carrera"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Mención del Programa")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["mencion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Grado Académico que Otorga")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["grado_academico"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Denominación del Título")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombre_titulo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Prefijo")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["prefijo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Programa")."&nbsp;" ?></td>
<td class="dr"><?php echo $tipo_programa ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nro. Créditos para Grado")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["creditos_grado"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Unidades Curriculares CIU")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["num_materias_ciu"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Unidades Curriculares Ciclo Básico")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["num_materias_cb"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Total de Unidades Curriculares")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["num_materias"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Régimen de Estudio")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($regimen) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Modalidad de Estudio")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($modalidad) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Crédito o Equivalente")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstValoracion1["valoracion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Duración")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["duracion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstTurno1["turno"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Escala Calificación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstEscala1["escala"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Salida Intermedia")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($intermedia) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Requerimiento")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstReq1["requerimientos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nro. Gaceta de Aprobación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["gaceta"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Arancel")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["arancel"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["status"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Comentario")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["comentario"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  //$conn=connect();

  	mysql_select_db($database_conn, $conn);
	mysql_query ("SET NAMES 'utf8'");
	
	$query_rstValoracion = "SELECT valoracion.codigo, valoracion.valoracion FROM valoracion";
	$rstValoracion = mysql_query($query_rstValoracion, $conn) or die(mysql_error());
	$row_rstValoracion = mysql_fetch_assoc($rstValoracion);
	$totalRows_rstValoracion = mysql_num_rows($rstValoracion);
	
	$cod_valoracion=$row['uc_equivalente'];
	
	$query_rstValoracion1 = "SELECT codigo, valoracion FROM valoracion WHERE codigo='$cod_valoracion'";
	$rstValoracion1 = mysql_query($query_rstValoracion1, $conn) or die(mysql_error());
	$row_rstValoracion1 = mysql_fetch_assoc($rstValoracion1);
	$totalRows_rstValoracion1 = mysql_num_rows($rstValoracion1);


	$query_rstTurno = "SELECT turnos.codigo, turnos.turno FROM turnos";
	$rstTurno = mysql_query($query_rstTurno, $conn) or die(mysql_error());
	$row_rstTurno = mysql_fetch_assoc($rstTurno);
	$totalRows_rstTurno = mysql_num_rows($rstTurno);
	
	$cod_turno=$row['turno'];

	$query_rstTurno1 = "SELECT turnos.codigo, turnos.turno FROM turnos where codigo='$cod_turno'";
	$rstTurno1 = mysql_query($query_rstTurno1, $conn) or die(mysql_error());
	$row_rstTurno1 = mysql_fetch_assoc($rstTurno1);
	$totalRows_rstTurno1 = mysql_num_rows($rstTurno1);
	
	$query_rstEscala = "SELECT escalas.codigo, escalas.escala FROM escalas";
	$rstEscala = mysql_query($query_rstEscala, $conn) or die(mysql_error());
	$row_rstEscala = mysql_fetch_assoc($rstEscala);
	$totalRows_rstEscala = mysql_num_rows($rstEscala);
	
	$cod_escala=$row['escala_calif'];
	$query_rstEscala1 = "SELECT codigo, escala FROM escalas WHERE codigo='$cod_escala'";
	$rstEscala1 = mysql_query($query_rstEscala1, $conn) or die(mysql_error());
	$row_rstEscala1 = mysql_fetch_assoc($rstEscala1);
	$totalRows_rstEscala1 = mysql_num_rows($rstEscala1);
	

	$query_rstGrado = "SELECT grado_academico.codigo, grado_academico.grado_academico FROM grado_academico";
	$rstGrado = mysql_query($query_rstGrado, $conn) or die(mysql_error());
	$row_rstGrado = mysql_fetch_assoc($rstGrado);
	$totalRows_rstGrado = mysql_num_rows($rstGrado);
	
	$cod_grado=$row['grado_academico'];
	$query_rstGrado1 = "SELECT codigo, grado_academico FROM grado_academico where codigo='$cod_grado'";
	$rstGrado1 = mysql_query($query_rstGrado1, $conn) or die(mysql_error());
	$row_rstGrado1 = mysql_fetch_assoc($rstGrado1);
	$totalRows_rstGrado1 = mysql_num_rows($rstGrado1);
	
	
	$query_rstReq = "SELECT requerimientos.codigo, requerimientos.requerimientos FROM requerimientos";
	$rstReq = mysql_query($query_rstReq, $conn) or die(mysql_error());
	$row_rstReq = mysql_fetch_assoc($rstReq);
	$totalRows_rstReq = mysql_num_rows($rstReq);
	
	$cod_requerimiento=$row['requerimiento'];
	$query_rstReq1 = "SELECT codigo, requerimientos FROM requerimientos where codigo='$cod_requerimiento'";
	$rstReq1 = mysql_query($query_rstReq1, $conn) or die(mysql_error());
	$row_rstReq1 = mysql_fetch_assoc($rstReq1);
	$totalRows_rstReq1 = mysql_num_rows($rstReq1);

    $cod_modalidad=$row['modalidad'];
	if($cod_modalidad=="1"){
	    $modalidad="PRESENCIAL";
		}
	elseif($cod_modalidad=="2"){
	    $modalidad="SEMI-PRESENCIAL O MIXTO";
		}
	else{
	    $modalidad="A DISTANCIA";
	}
	
	$cod_intermedia=$row['salida_intermedia'];
	if($cod_intermedia=="1"){
	    $intermedia="SI";
		}
	elseif($cod_intermedia=="2"){
	    $intermedia="NO";
		}
	else{
	    $intermedia="NO APLICA";
	}
	
	$cod_regimen=$row['regimen'];
	if($cod_regimen=="1"){
	    $regimen="ANUAL";
		}
	elseif($cod_regimen=="2"){
	    $regimen="TRIMESTRAL";
		}
	elseif($cod_regimen=="3"){
	    $regimen="SEMESTRAL";
		}	
	else{
	    $regimen="OTRO";
	}
	
	$tipo=$row['tipo'];
	if($tipo=="00"){
	   $tipo_programa="LICENCIATURA";
	}
	if($tipo=="01"){
	   $tipo_programa="ESPECIALIZACIÓN";
	}
	if($tipo=="02"){
	   $tipo_programa="MAESTRÍA";
	}
	if($tipo=="03"){
	   $tipo_programa="DOCTORADO";
	}  
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="90%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código ENAHP")."&nbsp;" ?></td>
<td class="dr"><input name="id_carrera" type="text" disabled="disabled" onBlur="verificar_carrera(this.value)" value="<?php echo str_replace('"', '&quot;', trim($row["id_carrera"])) ?>" size="6" maxlength="5"> 
<iframe name="frameCarrera" id="frameCarrera" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Código OPSU")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="codigo_opsu" maxlength="20" value="<?php echo str_replace('"', '&quot;', trim($row["codigo_opsu"])) ?>" onBlur="verificar_opsu(this.value)"> <iframe name="frameOpsu" id="frameOpsu" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Denominación del Programa")."&nbsp;" ?></td>
<td class="dr">
<input name="nombre_carrera" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombre_carrera"])) ?>" size="50" maxlength="160">
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Menciones")."&nbsp;" ?></td>
<td class="dr">
<select name="mencion">
  <option value="<?php echo $row['mencion']?>"><?php echo $row['mencion']?>
  <option value="SI">SI</option>
  <option value="NO">NO</option>
</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Régimen de Estudio")."&nbsp;" ?></td>
<td class="dr">
<select name="regimen">
<option value="<?php echo $cod_regimen; ?>" selected><?php echo $regimen; ?></option>
  <option value="1">ANUAL</option>
  <option value="2">TRIMESTRAL</option>
  <option value="3">SEMESTRAL</option>
  <option value="4">OTRO</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Grado Académico que Otorga")."&nbsp;" ?></td>
<td class="dr">
<select name="grado_academico">
  <option value="<?php echo $row_rstGrado1['codigo']?>"><?php echo $row_rstGrado1['grado_academico']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstGrado['codigo']?>"><?php echo $row_rstGrado['grado_academico']?></option>
  <?php
} while ($row_rstGrado = mysql_fetch_assoc($rstGrado));
  $rows = mysql_num_rows($rstGrado);
  if($rows > 0) {
      mysql_data_seek($rstGrado, 0);
	  $row_rstGrado = mysql_fetch_assoc($rstGrado);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Denominación del Título")."&nbsp;" ?></td>
<td class="dr">

<input name="nombre_titulo" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombre_titulo"])) ?>" size="50" maxlength="160"></td>
</tr>
<tr>

<td class="hr"><?php echo htmlspecialchars("Prefijo")."&nbsp;" ?></td>
<td class="dr"><select name="prefijo">
  <option value="<?php echo $row['prefijo'] ?>"><?php echo $row['prefijo'] ?></option>
  <option value="del">del</option>
  <option value="de los">de los</option>
  <option value="de la">de la</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Programa")."&nbsp;" ?></td>
<td class="dr">
<select name="tipo">
  <option value="<?php echo $tipo ?>"><?php echo $tipo_programa ?></option>
  <option value="00">LICENCIATURA</option>
  <option value="01">ESPECIALIZACI&Oacute;N</option>
  <option value="02">MAESTR&Iacute;A</option>
  <option value="03">DOCTORADO</option>
</select>
</td>


</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Créditos para Grado")."&nbsp;" ?></td>
<td class="dr"><input name="creditos_grado" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["creditos_grado"])) ?>" size="3" maxlength="3"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Unidades Curriculares del CIU")."&nbsp;" ?></td>
<td class="dr"><input name="num_materias_ciu" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["num_materias_ciu"])) ?>" size="2" maxlength="2"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Unidades Curriculares del Ciclo Básico")."&nbsp;" ?></td>
<td class="dr"><input name="num_materias_cb" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["num_materias_cb"])) ?>" size="2" maxlength="2"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Total de Unidades Curriculares")."&nbsp;" ?></td>
<td class="dr"><input name="num_materias" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["num_materias"])) ?>" size="3" maxlength="3"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Modalidad de Estudio")."&nbsp;" ?></td>
<td class="dr">
<select name="modalidad">
  <option value="<?php echo $cod_modalidad; ?>" selected><?php echo $modalidad; ?></option>
  <option value="1" selected>PRESENCIAL</option>
  <option value="2">SEMI-PRESENCIAL O MIXTO</option>
  <option value="3">A DISTANCIA</option>
</select>
</td>
</tr>



<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Crédito o Equivalente")."&nbsp;" ?></td>
<td class="dr">
<select name="uc_equivalente">
  <option value="<?php echo $row_rstValoracion1['codigo']?>"><?php echo $row_rstValoracion1['valoracion']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstValoracion['codigo']?>"><?php echo $row_rstValoracion['valoracion']?></option>
  <?php
} while ($row_rstValoracion = mysql_fetch_assoc($rstValoracion));
  $rows = mysql_num_rows($rstValoracion);
  if($rows > 0) {
      mysql_data_seek($rstValoracion, 0);
	  $row_rstValoracion = mysql_fetch_assoc($rstValoracion);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Duración")."&nbsp;" ?></td>
<td class="dr">
<select name="duracion">
  <option value="<?php echo $row['duracion']; ?>"><?php echo $row['duracion']; ?></option>
  <option value="1">1</option>
  <option value="2">2</option>
  <option value="3">3</option>
  <option value="4">4</option>
  <option value="5">5</option>
  <option value="6">6</option>
  <option value="7">7</option>
  <option value="8">8</option>
  <option value="9">9</option>
  <option value="10">10</option>
  
</select>

</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno")."&nbsp;" ?></td>
<td class="dr">
<select name="turno">
  <option value="<?php echo $row_rstTurno1['codigo']?>"><?php echo $row_rstTurno1['turno']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstTurno['codigo']?>"><?php echo $row_rstTurno['turno']?></option>
  <?php
} while ($row_rstTurno = mysql_fetch_assoc($rstTurno));
  $rows = mysql_num_rows($rstTurno);
  if($rows > 0) {
      mysql_data_seek($rstTurno, 0);
	  $row_rstTurno = mysql_fetch_assoc($rstTurno);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Escala Calificación")."&nbsp;" ?></td>
<td class="dr"><select name="escala_calif">
  <?php
do {  
?>
  <option value="<?php echo $row_rstEscala1['codigo']?>"><?php echo $row_rstEscala1['escala']?></option>
  <?php
} while ($row_rstEscala = mysql_fetch_assoc($rstEscala));
  $rows = mysql_num_rows($rstEscala);
  if($rows > 0) {
      mysql_data_seek($rstEscala, 0);
	  $row_rstEscala = mysql_fetch_assoc($rstEscala);
  }
?>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Salida Intermedia")."&nbsp;" ?></td>
<td class="dr">
<select name="salida_intermedia">
  <option value="<?php $row['salida_intermedia']; ?>"><?php $intermedia; ?></option>
  <option value="1">SI</option>
  <option value="2" selected>NO</option>
  <option value="3">NO APLICA</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Requerimientos")."&nbsp;" ?></td>
<td class="dr">
<select name="requerimiento">
  <?php
do {  
?>
  <option value="<?php echo $row_rstReq['codigo']?>"><?php echo $row_rstReq['requerimientos']?></option>
  <?php
} while ($row_rstReq = mysql_fetch_assoc($rstReq));
  $rows = mysql_num_rows($rstReq);
  if($rows > 0) {
      mysql_data_seek($rstReq, 0);
	  $row_rstReq = mysql_fetch_assoc($rstReq);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nro. Gaceta de Aprobación")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="gaceta" maxlength="20" value="<?php echo str_replace('"', '&quot;', trim($row["gaceta"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Arancel")."&nbsp;" ?></td>
<td class="dr"><input name="arancel" type="text" onKeyPress="return soloNum2Dec(event,this)"/ value="<?php echo str_replace('"', '&quot;', trim($row["arancel"])) ?>" size="9" maxlength="9">&nbsp;U.T. (Para ingresar decimales utilice punto)</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr">
<select name="status">
  <option value="<?php echo $row['status']; ?>"><?php echo $row['status']; ?></option>
  <option value="ACTIVA">ACTIVA</option>
  <option value="INACTIVA">INACTIVA</option>
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Comentario")."&nbsp;" ?></td>
<td class="dr"><textarea cols="50" rows="2" name="comentario" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["comentario"])) ?></textarea></td>
</tr>
</table>
<?php 
mysql_free_result($rstValoracion);
mysql_free_result($rstTurno);
mysql_free_result($rstEscala);
mysql_free_result($rstGrado);
mysql_free_result($rstReq);
} ?>


<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  // $conn=connect();

  mysql_select_db($database_conn, $conn);
   mysql_query ("SET NAMES 'utf8'");
$query_rstValoracion = "SELECT valoracion.codigo, valoracion.valoracion FROM valoracion";
$rstValoracion = mysql_query($query_rstValoracion, $conn) or die(mysql_error());
$row_rstValoracion = mysql_fetch_assoc($rstValoracion);
$totalRows_rstValoracion = mysql_num_rows($rstValoracion);

$query_rstTurno = "SELECT turnos.codigo, turnos.turno FROM turnos";
$rstTurno = mysql_query($query_rstTurno, $conn) or die(mysql_error());
$row_rstTurno = mysql_fetch_assoc($rstTurno);
$totalRows_rstTurno = mysql_num_rows($rstTurno);


$query_rstEscala = "SELECT escalas.codigo, escalas.escala FROM escalas";
$rstEscala = mysql_query($query_rstEscala, $conn) or die(mysql_error());
$row_rstEscala = mysql_fetch_assoc($rstEscala);
$totalRows_rstEscala = mysql_num_rows($rstEscala);


$query_rstGrado = "SELECT grado_academico.codigo, grado_academico.grado_academico FROM grado_academico";
$rstGrado = mysql_query($query_rstGrado, $conn) or die(mysql_error());
$row_rstGrado = mysql_fetch_assoc($rstGrado);
$totalRows_rstGrado = mysql_num_rows($rstGrado);


$query_rstReq = "SELECT requerimientos.codigo, requerimientos.requerimientos FROM requerimientos";
$rstReq = mysql_query($query_rstReq, $conn) or die(mysql_error());
$row_rstReq = mysql_fetch_assoc($rstReq);
$totalRows_rstReq = mysql_num_rows($rstReq);
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="95%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código ENAHP (*)")."&nbsp;" ?></td>
<td class="dr"><input name="id_carrera" type="text" onBlur="verificar_carrera(this.value)" value="<?php echo str_replace('"', '&quot;', trim($row["id_carrera"])) ?>" size="6" maxlength="10"> 
<iframe name="frameCarrera" id="frameCarrera" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Código OPSU")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="codigo_opsu" maxlength="20" value="<?php echo str_replace('"', '&quot;', trim($row["codigo_opsu"])) ?>" onBlur="verificar_opsu(this.value)"> <iframe name="frameOpsu" id="frameOpsu" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="nivel">
  <option value="0" selected>Seleccione...</option>
  <option value="PRE-GRADO">PRE-GRADO</option>
  <option value="POST-GRADO">POST-GRADO</option>
  
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo de Programa (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="tipo">
  <option value="S">Seleccione...</option>
  <option value="00">LICENCIATURA</option>
  <option value="01">ESPECIALIZACI&Oacute;N</option>
  <option value="02">MAESTR&Iacute;A</option>
  <option value="03">DOCTORADO</option>
</select>
</td>
</tr>

<tr>
<td class="hr">Denominaci&oacute;n del Programa (*)&nbsp;</td>
<td class="dr"><textarea cols="50" rows="2" name="nombre_carrera" maxlength="160"><?php echo str_replace('"', '&quot;', trim($row["nombre_carrera"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Menciones")."&nbsp;" ?></td>
<td class="dr"><select name="mencion">
  <option value="SI">SI</option>
  <option value="NO">NO</option>
</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Régimen de Estudio (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="regimen">
  <option value="0" selected>Seleccione...</option>
  <option value="1">ANUAL</option>
  <option value="2">TRIMESTRAL</option>
  <option value="3" selected>SEMESTRAL</option>
  <option value="4">OTRO</option>
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Grado Académico que Otorga (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="grado_academico">
<option value="0" selected>Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstGrado['codigo']?>"><?php echo $row_rstGrado['grado_academico']?></option>
  <?php
} while ($row_rstGrado = mysql_fetch_assoc($rstGrado));
  $rows = mysql_num_rows($rstGrado);
  if($rows > 0) {
      mysql_data_seek($rstGrado, 0);
	  $row_rstGrado = mysql_fetch_assoc($rstGrado);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr">Denominaci&oacute;n del Título (*)&nbsp;</td>
<td class="dr"><textarea cols="50" rows="2" name="nombre_titulo" maxlength="160"><?php echo str_replace('"', '&quot;', trim($row["nombre_titulo"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Prefijo (*)")."&nbsp;" ?></td>
<td class="dr"><select name="prefijo">
  <option value="0">Seleccione...</option>
  <option value="del">del</option>
  <option value="de la">de la</option>
</select></td>
</tr>

<tr>
<td class="hr">Cr&eacute;ditos para Grado (*)&nbsp;</td>
<td class="dr"><input name="creditos_grado" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["creditos_grado"])) ?>" size="3" maxlength="3"></td>
</tr>
<tr>

<tr>
<td class="hr">N&uacute;mero Unid. Curriculares CIU (*)&nbsp;</td>
<td class="dr"><input name="num_materias_ciu" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["num_materias_ciu"])) ?>" size="2" maxlength="2"></td>
</tr>
<tr>
<td class="hr">N&uacute;mero Unid. Curriculares Componente General (*)&nbsp;</td>
<td class="dr"><input name="num_materias_cb" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["num_materias_cb"])) ?>" size="2" maxlength="2"></td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Total de Unidades Curriculares (*)")."&nbsp;" ?></td>
<td class="dr"><input name="num_materias" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["num_materias"])) ?>" size="3" maxlength="3"></td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Modalidad de Estudio (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="modalidad">
  <option value="0">Seleccione...</option>
  <option value="1">PRESENCIAL</option>
  <option value="2">SEMI-PRESENCIAL O MIXTO</option>
  <option value="3">A DISTANCIA</option>
</select>
</td>
</tr>



<tr>
<td class="hr">Unidad Cr&eacute;dito o Equivalente (*)&nbsp;</td>
<td class="dr">
<select name="uc_equivalente">
<option value="0" selected>Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstValoracion['codigo']?>"><?php echo $row_rstValoracion['valoracion']?></option>
  <?php
} while ($row_rstValoracion = mysql_fetch_assoc($rstValoracion));
  $rows = mysql_num_rows($rstValoracion);
  if($rows > 0) {
      mysql_data_seek($rstValoracion, 0);
	  $row_rstValoracion = mysql_fetch_assoc($rstValoracion);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr">Duraci&oacute;n (*)&nbsp;</td>
<td class="dr">
<select name="duracion">
  <option value="0">Seleccione...</option>
  <option value="1">1</option>
  <option value="2">2</option>
  <option value="3">3</option>
  <option value="4">4</option>
  <option value="5">5</option>
  <option value="6">6</option>
  <option value="7">7</option>
  <option value="8">8</option>
  <option value="9">9</option>
  <option value="10">10</option>
</select>

</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Turno (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="turno">
<option value="0" selected>Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstTurno['codigo']?>"><?php echo $row_rstTurno['turno']?></option>
  <?php
} while ($row_rstTurno = mysql_fetch_assoc($rstTurno));
  $rows = mysql_num_rows($rstTurno);
  if($rows > 0) {
      mysql_data_seek($rstTurno, 0);
	  $row_rstTurno = mysql_fetch_assoc($rstTurno);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr">Escala Calificaci&oacute;n (*)&nbsp;</td>
<td class="dr"><select name="escala_calif">
<option value="1">1-20</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstEscala['codigo']?>"><?php echo $row_rstEscala['escala']?></option>
  <?php
} while ($row_rstEscala = mysql_fetch_assoc($rstEscala));
  $rows = mysql_num_rows($rstEscala);
  if($rows > 0) {
      mysql_data_seek($rstEscala, 0);
	  $row_rstEscala = mysql_fetch_assoc($rstEscala);
  }
?>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Salida Intermedia (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="salida_intermedia">
<option value="0" selected>Seleccione...</option>
  <option value="SI">SI</option>
  <option value="NO" selected>NO</option>
  <option value="NO APLICA">NO APLICA</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Requerimientos (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="requerimiento">
<option value="0" selected>Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstReq['codigo']?>"><?php echo $row_rstReq['requerimientos']?></option>
  <?php
} while ($row_rstReq = mysql_fetch_assoc($rstReq));
  $rows = mysql_num_rows($rstReq);
  if($rows > 0) {
      mysql_data_seek($rstReq, 0);
	  $row_rstReq = mysql_fetch_assoc($rstReq);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr">Nro. Gaceta de Aprobaci&oacute;n&nbsp;</td>
<td class="dr"><input type="text" name="gaceta" maxlength="20" value="<?php echo str_replace('"', '&quot;', trim($row["gaceta"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Arancel")."&nbsp;" ?></td>
<td class="dr"><input name="arancel" type="text" onKeyPress="return soloNum2Dec(event,this)"/ value="<?php echo str_replace('"', '&quot;', trim($row["arancel"])) ?>" size="9" maxlength="9">&nbsp;U.T. (Para ingresar decimales utilice punto)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status (*)")."&nbsp;" ?></td>
<td class="dr">
<select name="status">
  <option value="ACTIVA">ACTIVA</option>
  <option value="INACTIVA">INACTIVA</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Comentario")."&nbsp;" ?></td>
<td class="dr"><textarea cols="50" rows="4" name="comentario" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["comentario"])) ?></textarea></td>
</tr>
</table>
<?php 
mysql_free_result($rstValoracion);
mysql_free_result($rstTurno);
mysql_free_result($rstEscala);
mysql_free_result($rstGrado);
mysql_free_result($rstReq);
} ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carreras.php?a=add">Agregar Programa</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="carreras.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="carreras.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="carreras.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="carreras.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count, $id_carrera, $row)
{

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carreras.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="carreras.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="carreras.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente</a></td>
<?php } ?>
<?php 
if($row["mencion"]=="SI"){
?>
<td><a href="menciones.php?a=reset&carrera_volver=<?php echo $recid; ?>&id_carrera=<?php echo $id_carrera; ?>&campo=<?php echo $filterfield; ?>&valor_campo=<?php echo $filter; ?>">Menciones</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" width="100%"><tr><td class="hr">Los campos marcados con (*) son obligatorios </td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carreras.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addCarrera" enctype="multipart/form-data" action="carreras.php" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_carrera" => "",
  "codigo_opsu" => "",
  "nombre_carrera" => "",
  "grado_academico" => "",
  "nombre_titulo" => "",
  "mencion" => "",
  "prefijo" => "",
  "tipo" => "",
  "creditos_grado" => "",
  "num_materias_ciu" => "",
  "num_materias_cb" => "",
  "num_materias" => "",
  "regimen" => "",
  "modalidad" => "",
  "uc_equivalente" => "",
  "duracion" => "",
  "turno" => "",
  "escala_calif" => "",
  "salida_intermedia" => "",
  "requerimiento" => "",
  "gaceta" => "",
  "arancel" => "",
  "comentario" => "",
  "status" => "",
  "nivel" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_carrera=$row['id_carrera'];
  showrecnav("view", $recid, $count, $id_carrera, $row);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carreras.php?a=add">Agregar Programa</a></td>
<td><a href="carreras.php?a=edit&recid=<?php echo $recid ?>">Editar Programa</a></td>
<td><a href="carreras.php?a=del&recid=<?php echo $recid ?>">Borrar Programa</a></td>
</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_carrera=$row['id_carrera'];
  showrecnav("edit", $recid, $count, $id_carrera, $row);
?>
<br>
<form enctype="multipart/form-data" action="carreras.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_carrera=$row['id_carrera'];
  showrecnav("del", $recid, $count, $id_carrera, $row);
?>
<br>
<form action="carreras.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
 
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT * FROM `carreras`";

  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_carrera` like '" .$filterstr ."') or (`codigo_opsu` like '" .$filterstr ."') or (`nombre_carrera` like '" .$filterstr ."') or (`grado_academico` like '" .$filterstr ."') or (`nombre_titulo` like '" .$filterstr ."') or (`creditos_grado` like '" .$filterstr ."') or (`regimen` like '" .$filterstr ."') or (`modalidad` like '" .$filterstr ."') or (`uc_equivalente` like '" .$filterstr ."') or (`duracion` like '" .$filterstr ."') or (`turno` like '" .$filterstr ."') or (`escala_calif` like '" .$filterstr ."') or (`salida_intermedia` like '" .$filterstr ."') or (`requerimiento` like '" .$filterstr ."') or (`gaceta` like '" .$filterstr ."') or (`arancel` like '" .$filterstr ."') or (`comentario` like '" .$filterstr ."') or (`status` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `carreras`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_carrera` like '" .$filterstr ."') or (`codigo_opsu` like '" .$filterstr ."') or (`nombre_carrera` like '" .$filterstr ."') or (`grado_academico` like '" .$filterstr ."') or (`nombre_titulo` like '" .$filterstr ."') or (`creditos_grado` like '" .$filterstr ."') or (`regimen` like '" .$filterstr ."') or (`modalidad` like '" .$filterstr ."') or (`uc_equivalente` like '" .$filterstr ."') or (`duracion` like '" .$filterstr ."') or (`turno` like '" .$filterstr ."') or (`escala_calif` like '" .$filterstr ."') or (`salida_intermedia` like '" .$filterstr ."') or (`requerimiento` like '" .$filterstr ."') or (`gaceta` like '" .$filterstr ."') or (`arancel` like '" .$filterstr ."') or (`comentario` like '" .$filterstr ."')  or (`status` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;

  $sql = "insert into `carreras` (`id_carrera`, `codigo_opsu`, `nombre_carrera`, `grado_academico`, `nombre_titulo`, `prefijo`, `tipo`, `mencion`, `creditos_grado`, `num_materias_ciu`, `num_materias_cb`, `num_materias`, `regimen`, `modalidad`, `uc_equivalente`, `duracion`, `turno`, `escala_calif`, `salida_intermedia`, `requerimiento`, `gaceta`, `arancel`, `comentario`,  `status`,`nivel`) values (" .sqlvalue(@$_POST["id_carrera"], true).", " .sqlvalue(@$_POST["codigo_opsu"], true).", " .sqlvalue(@$_POST["nombre_carrera"], true).", " .sqlvalue(@$_POST["grado_academico"], true).", " .sqlvalue(@$_POST["nombre_titulo"], true).", " .sqlvalue(@$_POST["prefijo"], true).", " .sqlvalue(@$_POST["tipo"], true).", " .sqlvalue(@$_POST["mencion"], true).", " .sqlvalue(@$_POST["creditos_grado"], false).", " .sqlvalue(@$_POST["num_materias_ciu"], false).", " .sqlvalue(@$_POST["num_materias_cb"], false).", " .sqlvalue(@$_POST["num_materias"], false).", " .sqlvalue(@$_POST["regimen"], true).", " .sqlvalue(@$_POST["modalidad"], true).", " .sqlvalue(@$_POST["uc_equivalente"], true).", " .sqlvalue(@$_POST["duracion"], true).", " .sqlvalue(@$_POST["turno"], true).", " .sqlvalue(@$_POST["escala_calif"], true).", " .sqlvalue(@$_POST["salida_intermedia"], true).", " .sqlvalue(@$_POST["requerimiento"], true).", " .sqlvalue(@$_POST["gaceta"], true).", " .sqlvalue(@$_POST["arancel"], false).", " .sqlvalue(@$_POST["comentario"], true).", " .sqlvalue(@$_POST["status"], true).", " .sqlvalue(@$_POST["nivel"], true).")";

  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;

  $sql = "update `carreras` set `codigo_opsu`=" .sqlvalue(@$_POST["codigo_opsu"], true).", `nombre_carrera`=" .sqlvalue(@$_POST["nombre_carrera"], true).", `grado_academico`=" .sqlvalue(@$_POST["grado_academico"],  true).", `nombre_titulo`=" .sqlvalue(@$_POST["nombre_titulo"],  true).", `prefijo`=" .sqlvalue(@$_POST["prefijo"],  true).",  `tipo`=" .sqlvalue(@$_POST["tipo"],  true).", `mencion`=" .sqlvalue(@$_POST["mencion"], true).",`creditos_grado`=" .sqlvalue(@$_POST["creditos_grado"], false).", `num_materias_ciu`=" .sqlvalue(@$_POST["num_materias_ciu"], false).", `num_materias_cb`=" .sqlvalue(@$_POST["num_materias_cb"], false).", `num_materias`=" .sqlvalue(@$_POST["num_materias"], false).", `regimen`=" .sqlvalue(@$_POST["regimen"], true).", `modalidad`=" .sqlvalue(@$_POST["modalidad"], true).", `uc_equivalente`=" .sqlvalue(@$_POST["uc_equivalente"], true).", `duracion`=" .sqlvalue(@$_POST["duracion"], true).", `turno`=" .sqlvalue(@$_POST["turno"], true).", `escala_calif`=" .sqlvalue(@$_POST["escala_calif"], true).", `salida_intermedia`=" .sqlvalue(@$_POST["salida_intermedia"], true).", `requerimiento`=" .sqlvalue(@$_POST["requerimiento"], true).", `gaceta`=" .sqlvalue(@$_POST["gaceta"], true).", `arancel`=" .sqlvalue(@$_POST["arancel"], false).", `comentario`=" .sqlvalue(@$_POST["comentario"], true).", `costo_inscripcion`=" .sqlvalue(@$_POST["costo_inscripcion"], false).", `status`=" .sqlvalue(@$_POST["status"], true) .",`nivel`=" .sqlvalue(@$_POST["nivel"], true) ." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;
  
  
  $id_carrera=@$_POST["xid_carrera"];
  
  mysql_select_db($database_conn, $conn);
  $sql = "SELECT * FROM historico_notas WHERE id_carrera='$id_carrera'";
  $rs=mysql_query($sql, $conn);
  $reg=mysql_num_rows($rs);
  if ($reg != 0) {
	    ?>
	     <script type="text/javascript">
	        msj="Programa " +'<<<?php echo $id_carrera; ?>>>'+" no se puede borrar. Tiene calificaciones registradas."
	 	    alert(msj);
	     </script>
	 <?php
	 }
	 else {
          $sql = "delete from `carreras` where " .primarykeycondition();
          mysql_query($sql, $conn) or die(mysql_error());
      }
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_carrera`";
  if (@$_POST["xid_carrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_carrera"], true);
  };
  $pk .= ")";
  return $pk;
}

function limpiar($recid, $id_alumno_volver,$campo,$valor_campo)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
 
    $filter = $valor_campo;
    $filterfield = $campo;
	
    $wholeonly = "";
    $order = "";
    $ordtype = "";
	
	 $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		// --var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
		tecla=(document.all)?evt.keyCode : evt.which;
		if ((tecla<48 || tecla>57) && tecla!=46) return false
	
		//--return (key == 8 || key == 13 || (key >= 48 && key <= 57 && key == 46));
	}
	
</script>	
<script type="text/javascript">
	
function validar_datos()
{
  if(document.addCarrera.id_carrera.value==""){
	alert("El campo <<Código de Carrera>> es obligatorio");
	document.addCarrera.id_carrera.focus();
	return false;
   }
  if(document.addCarrera.nivel.value==0){
	alert("El campo <<Nivel>> es obligatorio");
	document.addCarrera.nivel.focus();
	return false;
   }
  if(document.addCarrera.tipo.value=="S"){
	alert("El campo <<Tipo de Programa>> es obligatorio");
	document.addCarrera.tipo.focus();
	return false;
   } 
  if(document.addCarrera.nombre_carrera.value==""){
	alert("El campo <<Nombre Carrera>> es obligatorio");
	document.addCarrera.nombre_carrera.focus();
	return false;
   }
   if(document.addCarrera.regimen.value==0){
	alert("El campo <<Régimen de Estudio>> es obligatorio");
	document.addCarrera.regimen.focus();
	return false;
   }
   
   if(document.addCarrera.grado_academico.value==0){
	alert("El campo <<Grado Académico que Otorga>> es obligatorio");
	document.addCarrera.grado_academico.focus();
	return false;
   }
   if(document.addCarrera.nombre_titulo.value==""){
	alert("El campo <<Denominación del Título>> es obligatorio");
	document.addCarrera.nombre_titulo.focus();
	return false;
   }
   if(document.addCarrera.prefijo.value==0){
	alert("El campo <<Prefijo>> es obligatorio");
	document.addCarrera.prefijo.focus();
	return false;
   }
   
   if(document.addCarrera.creditos_grado.value==""){
	alert("El campo <<Créditos para Grado>> es obligatorio");
	document.addCarrera.creditos_grado.focus();
	return false;
   }
   if(document.addCarrera.num_materias_ciu.value==""){
	alert("El campo <<Total de Materias del CIU>> es obligatorio");
	document.addCarrera.num_materias_ciu.focus();
	return false;
   }
   if(document.addCarrera.num_materias_cb.value==""){
	alert("El campo <<Total de Materias del Ciclo Básico>> es obligatorio");
	document.addCarrera.num_materias_cb.focus();
	return false;
   }
   if(document.addCarrera.num_materias.value==""){
	alert("El campo <<Total de Materias>> es obligatorio");
	document.addCarrera.num_materias.focus();
	return false;
   }
   if(document.addCarrera.modalidad.value==0){
	alert("El campo <<Modalidad de Estudio>> es obligatorio");
	document.addCarrera.modalidad.focus();
	return false;
   }
   if(document.addCarrera.valoracion.value==0){
	alert("El campo <<Valoración de la Calificación>> es obligatorio");
	document.addCarrera.valoracion.focus();
	return false;
   }
   if(document.addCarrera.duracion.value==0){
	alert("El campo <Duración de la Carrera>> es obligatorio");
	document.addCarrera.duracion.focus();
	return false;
   }
   if(document.addCarrera.turno.value==0){
	alert("El campo <<Turno>> es obligatorio");
	document.addCarrera.turno.focus();
	return false;
   }
   if(document.addCarrera.escala_calif.value==0){
	alert("El campo <<Escala de Calificación>> es obligatorio");
	document.addCarrera.escala_calif.focus();
	return false;
   }
   if(document.addCarrera.salida_intermedia.value==0){
	alert("El campo <<Salida Intermedia>> es obligatorio");
	document.addCarrera.salida_intermedia.focus();
	return false;
   }
   if(document.addCarrera.requerimiento.value==0){
	alert("El campo <<Requerimientos>> es obligatorio");
	document.addCarrera.requerimiento.focus();
	return false;
   }
	return true;
}
</script>
	
<script type="text/javascript">	
function verificar_carrera(codigo)
{
 	if (codigo!="")
	 {
	 url="validar_carrera.php?codigo="+codigo
	 alert(url)
	 frameCarrera.location=url;
	 }
}

function verificar_opsu(codigo)
{
 	if (codigo!="")
	 {
	 url="validar_opsu.php?codigo="+codigo
	 frameOpsu.location=url;
	 }
}
</script>


<script type="text/javascript">
function soloNum2Dec(evt, f)
	{	
		key=evt.keyCode ? evt.keyCode : evt.which
		
		if (key==8) return true
		
		if (key>47 && key <58) {
		    if (f.value=="") return true
			regexp=/..[0-9]{2}$/
			return !(regexp.test(f.value))
			}
		if (key==46) {
		    if (f.value=="") return false
			regexp=/^[0-9]+$/
			return regexp.test(f.value)
			}	
			return false
	}
</script>